Skip to main content
GET
/
v1
/
markets
/
polymarket
/
search
Search prediction markets
curl --request GET \
  --url https://api.trydocent.com/v1/markets/polymarket/search \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.trydocent.com/v1/markets/polymarket/search"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.trydocent.com/v1/markets/polymarket/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "conditionId": "<string>",
    "question": "Will Bitcoin reach $150k by end of 2026?",
    "outcomes": [
      "Yes",
      "No"
    ],
    "outcomePrices": [
      0.65,
      0.35
    ],
    "volume24h": 123,
    "liquidity": 123,
    "category": "<string>",
    "endDate": "<string>"
  }
]

Authorizations

Authorization
string
header
required

API key in the format dk_live_.... Pass as Authorization: Bearer dk_live_...

Query Parameters

q
string
required

Search query

Example:

"bitcoin"

limit
integer
default:20

Maximum results to return (default 20)

Response

200 - application/json

Matching markets

conditionId
string

Unique market identifier

question
string
Example:

"Will Bitcoin reach $150k by end of 2026?"

outcomes
string[]
Example:
["Yes", "No"]
outcomePrices
number[]
Example:
[0.65, 0.35]
volume24h
number
liquidity
number
category
string
endDate
string